spring:
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://127.0.0.1:3306/lsgz?useUnicode=true&characterEncoding=utf8&autoReconnect=true&serverTimezone=Asia/Shanghai
    username: root
    password: ces123
    druid:
      validationQuery: SELECT 1
      initialSize: 10
      minIdle: 10
      maxActive: 200
      minEvictableIdleTimeMillis: 180000
      testOnBorrow: false
      testWhileIdle: true
      removeAbandoned: true
      removeAbandonedTimeout: 1800
      logAbandoned: true
      poolPreparedStatements: true
      maxOpenPreparedStatements: 100
server:
  port: 81
  servlet-path: /
mybatis:
  mapper-locations: 
     - classpath*:/mapper/*.xml
     - classpath*:/com/ces/*/dao/*.xml
  typeAliasesPackage: com.ces.*.model
  type-handlers-package:  com.ces.mybatis.typeHandler
  configuration:
    map-underscore-to-camel-case: true
    lazy-loading-enabled: false
    auto-mapping-behavior: full
    useGeneratedKeys: true
    useColumnLabel: true
    mapUnderscoreToCamelCase: true